WPGGroupContext Class Reference

`#include <WPG2Parser.h>`

## Public Member Functions

| WPGGroupContext ()
bool | isCompoundPolygon () const

## Public Attributes

unsigned | subIndex
int | parentType
librevenge::RVNGPropertyListVector | compoundPath
WPG2TransformMatrix | compoundMatrix
bool | compoundWindingRule
bool | compoundFilled
bool | compoundFramed
bool | compoundClosed

## Constructor & Destructor Documentation

## WPGGroupContext()

WPGGroupContext::WPGGroupContext | ( |  | ) |

inline

## Member Function Documentation

## isCompoundPolygon()

bool WPGGroupContext::isCompoundPolygon | ( |  | ) | const

inline

Referenced by WPG2Parser::parse().

## Member Data Documentation

## compoundClosed

bool WPGGroupContext::compoundClosed

Referenced by WPG2Parser::flushCompoundPolygon(), WPG2Parser::parse(), and WPGGroupContext().

## compoundFilled

bool WPGGroupContext::compoundFilled

Referenced by WPG2Parser::flushCompoundPolygon(), WPG2Parser::parse(), and WPGGroupContext().

## compoundFramed

bool WPGGroupContext::compoundFramed

Referenced by WPG2Parser::flushCompoundPolygon(), WPG2Parser::parse(), and WPGGroupContext().

## compoundMatrix

WPG2TransformMatrix WPGGroupContext::compoundMatrix

Referenced by WPG2Parser::parse(), and WPGGroupContext().

## compoundPath

librevenge::RVNGPropertyListVector WPGGroupContext::compoundPath

Referenced by WPG2Parser::flushCompoundPolygon(), and WPGGroupContext().

## compoundWindingRule

bool WPGGroupContext::compoundWindingRule

Referenced by WPG2Parser::flushCompoundPolygon(), and WPGGroupContext().

## parentType

int WPGGroupContext::parentType

Referenced by isCompoundPolygon(), WPG2Parser::parse(), and WPGGroupContext().

## subIndex

unsigned WPGGroupContext::subIndex

Referenced by WPG2Parser::parse(), and WPGGroupContext().

The documentation for this class was generated from the following file:

- WPG2Parser.h